Configure Meeting Type Routing
curl --request PATCH \
--url https://api.getnexor.ai/api/public/workflows/{id}/meeting-types/{mtId}/routing \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"agent_selection_rules": {
"field": "<string>",
"tiers": [
{
"min": 123,
"agents": [
"<string>"
],
"weights": [
1
],
"pattern": [
1
],
"action": "disqualify"
}
],
"routing": "cycle",
"since": "<string>"
}
}
'import requests
url = "https://api.getnexor.ai/api/public/workflows/{id}/meeting-types/{mtId}/routing"
payload = { "agent_selection_rules": {
"field": "<string>",
"tiers": [
{
"min": 123,
"agents": ["<string>"],
"weights": [1],
"pattern": [1],
"action": "disqualify"
}
],
"routing": "cycle",
"since": "<string>"
} }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_selection_rules: {
field: '<string>',
tiers: [
{
min: 123,
agents: ['<string>'],
weights: [1],
pattern: [1],
action: 'disqualify'
}
],
routing: 'cycle',
since: '<string>'
}
})
};
fetch('https://api.getnexor.ai/api/public/workflows/{id}/meeting-types/{mtId}/routing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"meeting_type": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"duration_minutes": 123,
"buffer_after_minutes": 123,
"min_notice_hours": 123,
"max_days_ahead": 123,
"event_title_template": "<string>",
"event_description_template": "<string>",
"location_type": "video",
"video_provider": "google_meet",
"location_details": "<string>",
"allow_overbooking": true,
"max_bookings_per_slot": 123,
"color": "<string>",
"agent_selection_criteria": "<string>",
"agent_selection_rules": {},
"is_active": true
},
"routing_hosts": [
{
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>"
}Configure Meeting Type Routing
This operation lets you configure meeting type routing for the authenticated Nexor account. This reference documents verified path, query, and top-level JSON body fields, observed response status codes, and top-level response fields. Provider-owned or deeply nested response shapes may remain open.
PATCH
/
workflows
/
{id}
/
meeting-types
/
{mtId}
/
routing
Configure Meeting Type Routing
Authorizations
API key for authentication. Keys are prefixed with nxr_live_.
Path Parameters
Workflow identifier.
Meeting type identifier.
Body
application/json
- Option 1
- Option 2
Show child attributes
Show child attributes
Last modified on September 8, 2026
⌘I